Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.component
Enum ExternalComponentManager.PermissionPolicy

    java.lang.Object
      java.lang.Enum<ExternalComponentManager.PermissionPolicy>
          org.jivesoftware.openfire.component.ExternalComponentManager.PermissionPolicy

All Implemented Interfaces:
  Serializable, Comparable<ExternalComponentManager.PermissionPolicy>

Enclosing class:
  ExternalComponentManager

    public static enum ExternalComponentManager.PermissionPolicy

extends Enum<ExternalComponentManager.PermissionPolicy>

Enum Constant Summary
`blacklist` Any XMPP entity is allowed to connect to the server except for those listed in the not allowed list.
`whitelist` Only the XMPP entities listed in the allowed list are able to connect to the server.

Method Summary
`static ExternalComponentManager.PermissionPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExternalComponentManager.PermissionPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### blacklist

    public static final ExternalComponentManager.PermissionPolicy blacklist

  Any XMPP entity is allowed to connect to the server except for those listed in the not allowed list.

### whitelist

    public static final ExternalComponentManager.PermissionPolicy whitelist

  Only the XMPP entities listed in the allowed list are able to connect to the server.

Method Detail

### values

    public static final ExternalComponentManager.PermissionPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExternalComponentManager.PermissionPolicy c : ExternalComponentManager.PermissionPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExternalComponentManager.PermissionPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.